Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001591SpeedFanFan controlpublic2010-04-19 02:162011-01-31 10:24
Reporterpressplayontape 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindows 7 x64OS VersionWindows 7 x64
Product Version4.41 beta 
Target VersionFixed in Version4.43 beta 
Summary0001591: Unable to control fan speeds (Asus M4A89GTD PRO)
DescriptionMy HTPC's cooling is heatpipe-based, but I wish to install one chassis fan for safety reasons, in case the motherboard temperature gets too high.
For testing though I have tried most fan connectors on the motherboard. SpeedFan reports accurate temperatures but the problem is I can't control any of the fan speeds.
Voltage readings are also all wrong, but that doesn't bother me. I just want to control fan speed.

My motherboard is Asus M4A89GTD PRO/USB3, and I have tested these fan connectors:
CPU fan (4-pin)
Chassis fan 1 (4-pin)
Chassis fan 2 (3-pin)

I have both a 3-pin and 4-pin fan to test with.
Asus' own fan control is currently disabled from BIOS, and I also keep fan control software like Asus AI Suite (FanXpert) uninstalled. I've tried with it installed too though, but that doesn't change anything.
Asus Q-Fan and fan control software works. However the fan's RPM is still too high when it is set to the most silent setting, so I want to give SpeedFan a go instead.
I can't find out whether SpeedFan works better though, since it can't control any speeds at all.

In the Advanced tab, under "PWM 1 mode", "PWM 2 mode" and "PWM 3 mode", I have 4 values to choose from: "ON/OFF", "Software controlled", "ON/OFF", and "SmartGuardian". I've set these values to "Software controlled".

Now, if I let BIOS or AI Suite control the fan(s) and slow them down, setting PWN mode to ON/OFF will spin them up to 100%, and setting back to "Software controlled" will slow them down again. This is how I identify PWM 3 mode as the chassis fan, and thereby "Speed03" as the chassis speed control (both are numbered 3). Please correct me if this assumption is wrong.
Speed percentage settings in SpeedFan doesn't affect anything.

Running as administrator under Windows 7 x64.
Tried both versions 4.40 and 4.41 Beta 9, no difference.
TagsAsus, fan
Motherboard ModelAsus M4A89GTD PRO/USB3
Video Card Model
Attached Filespng file icon Advanced Pane.png [^] (142,778 bytes) 2010-05-06 00:24

- Relationships

-  Notes
(0005230)
alfredo (manager)
2010-04-19 10:16

I just sent you a beta.
(0005231)
pressplayontape (reporter)
2010-04-19 18:01

Report sent.
(0005232)
alfredo (manager)
2010-04-19 19:35

Try to enable Q-Fan, then use SpeedFan to change PWM MODE to SOFTWARE CONTROLLED. Does it work now?
(0005236)
pressplayontape (reporter)
2010-04-20 00:22

Tried this, but I'm afraid changing the speed percentages still doesn't work.

I connected a 4-pin fan to the 4-pin CHA1 connector and a 3-pin fan to the 3-pin CHA2 connector on the mobo.
Chassis Q-Fan control enabled in BIOS, set to Silent profile.

Starting SpeedFan. I haven't ticked the "remember it" box under PWM mode values in Advanced, cause I want to see their behavior. BIOS has set PWM 3 mode to SmartGuardian. I'm setting it to Software controlled. What happens then is that the fans slow down even more. At boot, Fan1/Fan2 ran at about 1500/1600 RPM, and slowed to about 1200/1400 RPM when I set Software controlled.
After some testing, it now appears to me that by setting Software controlled, fans run at the cycle which is defined as "minimum duty cycle" under the selected Q-Fan profile in BIOS, something which is supposed to occur only if the MB temperature drops below 20
(0005245)
pressplayontape (reporter)
2010-04-28 17:31

Just wondering, do you consider this a bug or something not supported?
(0005246)
alfredo (manager)
2010-04-28 17:43

IT87xx chips are supported very well by SpeedFan. What I'm not sure about is if you tried to change fan speeds manually using SpeedFan's main screen controls or if you just waited for SpeedFan to change their speed.
(0005251)
pressplayontape (reporter)
2010-04-28 18:18

I have done most of the testing by changing the speeds manually. I have also adjusted the temperature thresholds to make SpeedFan auto-adjust the speed percentages.
Strange, because from what you tell it sounds like this isn't an issue related to SpeedFan. That puzzles me, because it's a quite clean setup.
Thank you for your support. Please let me know if you have any bright troubleshooting ideas :-)
(0005253)
norman02us (reporter)
2010-04-28 20:32

I'm assuming it is a setup error. Please only use a 3pin-fan directly attached to the motherboard for testing.

Where exactly have you attached the fan? Usually on Asus motherboards one of the speed settings controls all CHA_FANs at the same time and applies the same voltage.

If I remember correctly, Q-Fan schould be enabled an in normal mode.
(0005254)
pressplayontape (reporter)
2010-04-29 01:05

Ok, now I have a 3-pin fan attached (directly) to the CHA_FAN2 connector. No other fans. The CHA_FAN1 connector has a 4-pin connector.
Same results.
If I install Asus FanExpert this will control the fan.
As for Q-Fan, there is no "normal mode". The selectable profiles are: Disabled, Performance, Optimal, Silent, and Manual. I've tried them all.
If I at some point let FanExpert or Q-Fan control the fan, PWM mode values have been altered when I look them up in SpeedFan's Advanced pane. This makes sense, but the strange thing is that setting them to Software controlled will simply slow the fan down and leave it at an RPM rate unaffected by SpeedFan's speed settings, as described a few posts back (0005236).
(0005255)
pressplayontape (reporter)
2010-04-29 01:27

I would also greatly appreciate if anyone with the same motherboard is reading this could confirm if they experience the same problem or not.
(0005780)
bebop (reporter)
2011-01-31 01:55

I have this mobo, and the same problem, but I'm using SpeedFan 4.42. When PWM mode is set to either ON/OFF, the fan ramps up, and stays up. Anything I have thought to try doesn't bring the fan speed back down, exect for changing PWM mode to either Software Controlled or SmartGuardian. When either of these is selected, I can't bring the speed up, it seems fixed in both cases.

Also, the Silent, Standard, and Turbo modes don't quickly enough bring the fan's speed up, so I can't use those. The manual mode in BIOS doesn't work like it should. It seems to detect what temp the CPU is at during boot, decides which duty cycle that fits in, changes the fan's speed, and then locks it in place. If the CPU's temp changes later while the computer is on, the fan stays the course, it won't speed up or slow down. Asus's AI FanXpert is the only thing I've tried so far that works.

I hope this confirmation of the problem helps.
(0005781)
alfredo (manager)
2011-01-31 08:09

Please, upload the output of SEND REPORT (INFO tab). It would be great if you could use SpeedFan 4.43 beta 10.
(0005782)
bebop (reporter)
2011-01-31 09:32

2 reports sent. One for 4.42, one for 4.43 beta 10.
(0005783)
alfredo (manager)
2011-01-31 10:24

This issue is fixed.

- Issue History
Date Modified Username Field Change
2010-04-19 02:16 pressplayontape New Issue
2010-04-19 02:16 pressplayontape Status new => assigned
2010-04-19 02:16 pressplayontape Assigned To => alfredo
2010-04-19 02:16 pressplayontape Motherboard Model => Asus M4A89GTD PRO/USB3
2010-04-19 10:16 alfredo Note Added: 0005230
2010-04-19 10:16 alfredo Status assigned => acknowledged
2010-04-19 18:01 pressplayontape Note Added: 0005231
2010-04-19 19:35 alfredo Note Added: 0005232
2010-04-20 00:22 pressplayontape Note Added: 0005236
2010-04-28 17:31 pressplayontape Note Added: 0005245
2010-04-28 17:43 alfredo Note Added: 0005246
2010-04-28 18:18 pressplayontape Note Added: 0005251
2010-04-28 20:32 norman02us Note Added: 0005253
2010-04-29 01:05 pressplayontape Note Added: 0005254
2010-04-29 01:27 pressplayontape Note Added: 0005255
2010-04-29 01:32 pressplayontape Tag Attached: fan
2010-04-29 01:32 pressplayontape Tag Attached: Asus
2010-05-06 00:24 pressplayontape File Added: Advanced Pane.png
2011-01-31 01:55 bebop Note Added: 0005780
2011-01-31 08:09 alfredo Note Added: 0005781
2011-01-31 09:32 bebop Note Added: 0005782
2011-01-31 10:24 alfredo Note Added: 0005783
2011-01-31 10:24 alfredo Status acknowledged => resolved
2011-01-31 10:24 alfredo Resolution open => fixed
2011-01-31 10:24 alfredo Fixed in Version => 4.43 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3550 seconds.
memory usage: 8,151 KB
Powered by Mantis Bugtracker